Opracowałem moduł, który można aktualizować w Menedżerze rozszerzeń Joomla 2.5.
Nie mogę nigdzie znaleźć informacji, które wskazują, że coś musi być inne, aby działać poprawnie w Joomla 3.0

Nie zamierzam reklamować tego modułu, podając link do niego, po prostu próbuję znaleźć pomoc w rozwiązaniu tego problemu.
Oto strona, na której możesz ją pobrać:
http://code.google.com/p/mod-random-article /pobieranie/lista

Jeśli zainstalujesz v1.1 w Joomla 2.5, Menedżer rozszerzeń znajdzie nową aktualizację v1.2.
Jeśli zainstalujesz go w Joomla 3.0, Menedżer rozszerzeń nie znajdzie nowej wersji.

Czy ktoś może pomóc?
Dziękuję

7
user1687176 30 wrzesień 2012, 18:39

2 odpowiedzi

Najlepsza odpowiedź

Znalazłem rozwiązanie mojego problemu. To wygląda na takie proste.. Nie wiem, jak nie mogłem tego wcześniej znaleźć.

Musiałem dodać kolejny tag do pliku manifestu na serwerze aktualizacji skierowanym do Joomla 3.0, na przykład:

<updates>  
    ...
    <update>
        ...
        <targetplatform name="joomla" version="3.0"/>
        ...
    </update>
</updates>
3
user1687176user1687176 1 październik 2012, 11:38

Zmieniłem nazwę wszystkiego na odpowiednią nazwę wtyczki, ale nadal joomla nie znalazł nowej skopiowanej i zmodyfikowanej wtyczki, którą stworzyłem.

W końcu dowiedziałem się, że atrybut plugin obiektu XML musi mieć taką samą nazwę jak wtyczka. Powiedzmy więc, że nowa nazwa wtyczki to xxyyzz. Jak pokazano poniżej z innymi odpowiednimi zmianami, atrybut wtyczki również powinien zostać zaktualizowany.

<files>
    <filename plugin="xxyyzz">xxyyzz.php</filename>
</files>
1
Mohd Abdul Mujib 23 marzec 2016, 19:34